

namespace XGame.Editor.Compiler
{
    public struct CompileResult
    {
        public bool isFailed;
        public string message;
        public bool isCopyAssemblyFailed;
    }
    public interface ICompileEvent
    {
        int Priority { get; }
        void OnCompileFailed(CompileResult result);
        void OnCompileSuccess();
    }
}